Как программно определить версию WordPress?

Здесь все достаточно просто, - используйте значение системной переменной $wp_version. К примеру через version_compare это будет выглядеть вот так:

<?php 
if ( version_compare( $wp_version, '3.3', '>=' ) ) {
 wp_die('У вас установлена версия системы выше 3.3 - '.$wp_version);
};
?>

Что означают знаки больше, меньше или равно думаю объяснять не требуется. Кстати, а давайте также проверим версию PHP, установленную на веб-сервере:

<?php 
if (version_compare(PHP_VERSION, '5.0.0') >= 0) {
    wp_die('По крайней мере у вас установлен PHP версии 5.0.0 или выше, а по-настоящему: ' . PHP_VERSION . '.');
}
?>

 





© 2012-2014 Druweb.ru. Вы можете спокойно копировать любые материалы сайта только при наличии обратной ссылки.